Package org.eclipse.lemminx.utils

## Class MarkupContentFactory

- java.lang.Object
- - org.eclipse.lemminx.utils.MarkupContentFactory

    public class MarkupContentFactory
    extends Object

Factory to create LSP4J `MarkupContent`

Author:
  Angelo ZERR

### Field Summary

Fields
`static String` `MARKDOWN_SEPARATOR`

### Constructor Summary

Constructors
`MarkupContentFactory()`

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.lsp4j.Hover` `createHover​(List<org.eclipse.lsp4j.MarkupContent> values)` Create the hover from the given markup content list.
`static org.eclipse.lsp4j.Hover` `createHover​(List<org.eclipse.lsp4j.MarkupContent> values, org.eclipse.lsp4j.Range defaultRange)` Create the hover from the given markup content list and range.
`static org.eclipse.lsp4j.MarkupContent` `createMarkupContent​(String value, String preferredKind, ISharedSettingsRequest support)` Create the markup content according the given markup kind and the capability of the client.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MARKDOWN_SEPARATOR

    public static final String MARKDOWN_SEPARATOR

See Also:
  Constant Field Values

### Constructor Detail

#### MarkupContentFactory

    public MarkupContentFactory()

### Method Detail

#### createMarkupContent

    public static org.eclipse.lsp4j.MarkupContent createMarkupContent​(String value,
                                                                      String preferredKind,
                                                                      ISharedSettingsRequest support)

Create the markup content according the given markup kind and the capability of the client.

Parameters:
  `value` - the documentation value
  `preferredKind` - the preferred markup kind
Returns:
  the markup content according the given markup kind and the capability of the client.

#### createHover

    public static org.eclipse.lsp4j.Hover createHover​(List<org.eclipse.lsp4j.MarkupContent> values)

Create the hover from the given markup content list.

Parameters:
  `values` - the list of documentation values
Returns:
  the hover from the given markup content list.

#### createHover

    public static org.eclipse.lsp4j.Hover createHover​(List<org.eclipse.lsp4j.MarkupContent> values,
                                                      org.eclipse.lsp4j.Range defaultRange)

Create the hover from the given markup content list and range.

Parameters:
  `values` - the list of documentation values
  `defaultRange` - the default range.
Returns:
  the hover from the given markup content list and range.